Teaspeak-Server/server/repro/package_server.sh
2020-01-25 16:12:18 +01:00

40 lines
1.1 KiB
Bash
Executable File

#!/usr/bin/env bash
BUILD_INFO=($(cat build_version.txt))
BUILD_FULL_NAME=${BUILD_INFO[0]}
BUILD_NAME=${BUILD_INFO[1]}
BUILD_VERSION=${BUILD_INFO[2]}
BUILD_FILENAME=${BUILD_INFO[3]}
echo "Creating TeaSpeak ${BUILD_NAME} Build index ${BUILD_VERSION}"
if [[ -d finalenv ]]; then
rm -r finalenv
fi
cp -r env finalenv
cd finalenv || {
echo "failed to enter dir"
exit 1
}
echo -e "# Version: ${BUILD_FULL_NAME}
# TeaSpeak version: ${BUILD_NAME}
# Build version: ${BUILD_VERSION}
{\"build_name\": \"${BUILD_FULL_NAME}\", \"build_version\": \"${BUILD_NAME}\", \"build_index\": ${BUILD_VERSION}}" > buildVersion.txt
#Create a copy and save unstripped
cp TeaSpeakServer TeaSpeakServerTmp
rm TeaSpeakServer
mv TeaSpeakServerTmp TeaSpeakServer
strip -s -p -v TeaSpeakServer || { echo "failed to strip symbols!"; exit 1; }
patchelf --set-rpath ./libs/ TeaSpeakServer || { echo "failed to set rpath!"; exit 1; }
tar --dereference -cvf - * | gzip -f -9 > "../${BUILD_FILENAME}"
[[ $? -ne 0 ]] && { echo "failed to package server"; exit 1; }
cd ..
rm -r finalenv
./make_symbol.sh
echo "Package created (${BUILD_FILENAME})"